### A free/open-source library for quantitative finance

Classes
ql/methods/finitedifferences/parallelevolver.hpp File Reference

Parallel evolver for multiple arrays. More...

`#include <ql/methods/finitedifferences/finitedifferencemodel.hpp>`
`#include <ql/methods/finitedifferences/stepcondition.hpp>`
`#include <ql/numericalmethod.hpp>`
`#include <vector>`
Include dependency graph for parallelevolver.hpp:

## Classes

class | StepConditionSet< array_type >
| Parallel evolver for multiple arrays. More...

## Detailed Description

Parallel evolver for multiple arrays.

This class takes the evolver class and creates a new class which evolves each of the evolvers in parallel. Part of what this does is to take the types for each evolver class and then wrapper them so that they create new types which are sets of the old types.

This class is intended to be run in situations where there are parallel differential equations such as with some convertible bond models.